# Not building for scl rigth now
%undefine scl_prefix
%global scl_ruby /usr/bin/ruby

Name:    rhui-installer
Version: 3.1.0
Release: 1%{?dist}
Summary: Puppet-based installer for RHUI
Group:   Applications/System
License: GPLv3+ and ASL 2.0
URL:     http://redhat.com
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch
Requires: %{name}-base = %{version}-%{release}


%package -n %{name}-base
Summary: Puppet-based installer for RHUI
Group:   Applications/System
Requires: %{?scl_prefix}puppet >= 3.4.0
Requires: %{?scl_prefix}rubygem-kafo
Requires: openssl

%description -n %{name}-base
A set of tools for installation of RHUI

%files
%{_datadir}/rhui-installer/bin
%config %{_sysconfdir}/rhui-installer/config_header.txt
%dir %{_sysconfdir}/rhui-installer
%dir %{_localstatedir}/log/rhui-installer
%config %attr(600, root, root) %{_sysconfdir}/rhui-installer/rhui-installer.yaml
%{_sbindir}/rhui-installer


%description
A set of tools for installation of RHUI.

%prep
%setup -q

%build
#replace shebangs
sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby}X' bin/*

#configure the paths
sed -ri 'sX\./configX%{_sysconfdir}/rhui-installerXg' bin/rhui-installer config/answers.yaml config/rhui-installer.yaml
sed -ri 'sX\:installer_dir.*$X:installer_dir: %{_datadir}/rhui-installerXg' config/rhui-installer.yaml
sed -ri 'sX\:modules_dir.*$X:modules_dir: %{_datadir}/rhui-installer/modulesXg' config/*

%install
install -d -m0755 %{buildroot}%{_sysconfdir}/rhui-installer
install -d -m0755 %{buildroot}%{_localstatedir}/log/rhui-installer
install -d -m0755 %{buildroot}/%{_datadir}/rhui-installer/bin
install -d -m0755 %{buildroot}/%{_sbindir}
cp -dpR modules %{buildroot}/%{_datadir}/rhui-installer
cp -dpR hooks %{buildroot}/%{_datadir}/rhui-installer
cp -dpR bin/rhui-installer %{buildroot}/%{_datadir}/rhui-installer/bin/rhui-installer
cp -dpR config/answers.yaml %{buildroot}/%{_sysconfdir}/rhui-installer
cp -dpR config/rhui-installer.yaml %{buildroot}/%{_sysconfdir}/rhui-installer
cp -dpR config/config_header.txt %{buildroot}/%{_sysconfdir}/rhui-installer
ln -sf %{_datadir}/rhui-installer/bin/rhui-installer %{buildroot}/%{_sbindir}/rhui-installer

%files -n %{name}-base
%defattr(-,root,root,-)
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/rhui-installer/answers.yaml
%{_datadir}/rhui-installer/modules
%{_datadir}/rhui-installer/hooks

%changelog
* Wed Apr 03 2019 Martin Minar 3.1.0-1
- Puppet modules updated for new oid validator. (mminar@redhat.com)

* Thu Aug 23 2018 Milan Kubík <mkubik@redhat.com> 3.0.2-1
- [BZ 1489113] - [RFE] RHUI 3 repo_importers not configured for remove_missing
  (mkubik@redhat.com)

* Thu May 10 2018 Milan Kubík <mkubik@redhat.com> 3.0.1-1
- update wording of the installer message (mkubik@redhat.com)
- bz148572 - Added instruction messages to the installer (mkubik@redhat.com)
- Update the rhui-installer with latest modules (mkubik@redhat.com)

* Tue Jan 24 2017 B Zhang <bizhang@redhat.com> 3.0.0-1
- bumping version to 3.0.0 (bizhang@redhat.com)

* Tue Dec 13 2016 B Zhang <bizhang@redhat.com> 0.0.44-1
- 

* Tue Nov 22 2016 B Zhang <bizhang@redhat.com> 0.0.43-1
- Validate only positive integers (exclude 0) (pcreech@redhat.com)

* Tue Nov 15 2016 B Zhang <bizhang@redhat.com> 0.0.42-1
- Validate expiration dates (pcreech@redhat.com)

* Tue Nov 15 2016 B Zhang <bizhang@redhat.com> 0.0.41-1
- Fix docker certificate issue (pcreech@redhat.com)
- update changelog with name (bizhang@redhat.com)

* Thu Nov 10 2016 B Zhang <bizhang@redhat.com> 0.0.40-1
- Fixing issue in cds module (pcreech@redhat.com)

* Wed Nov 09 2016 B Zhang 0.0.39-1
- Update puppet-cds (pcreech@redhat.com)
- Update crane module to latest (pcreech@redhat.com)
- Update katello-crane (pcreech@redhat.com)

* Wed Nov 09 2016 B Zhang
- Update puppet-cds (pcreech@redhat.com)
- Update crane module to latest (pcreech@redhat.com)
- Update katello-crane (pcreech@redhat.com)

* Tue Oct 25 2016 B Zhang 0.0.37-1
- Save RPM to protected/unprotected relative path (bizhang@redhat.com)

* Wed Sep 21 2016 Patrick Creech <pcreech@redhat.com> 0.0.36-1
- Don't use passenger for puppetmaster (pcreech@redhat.com)

* Tue Aug 30 2016 B Zhang <bizhang@redhat.com> 0.0.35-1
- Removing indentation (pcreech@redhat.com)

* Tue Aug 09 2016 Patrick Creech <pcreech@redhat.com> 0.0.34-1
- Include answer file in error message (pcreech@redhat.com)

* Wed Jul 27 2016 Patrick Creech <pcreech@redhat.com> 0.0.33-1
- Fixing srl extension (pcreech@redhat.com)

* Tue Jul 26 2016 Patrick Creech <pcreech@redhat.com> 0.0.32-1
- Fix mispelling in entitlement (pcreech@redhat.com)

* Tue Jul 19 2016 Patrick Creech <pcreech@redhat.com> 0.0.31-1
- Fix installer return code (pcreech@redhat.com)
- Generate entitilement-ca.srl (pcreech@redhat.com)
- Increasing the minimum worker count for pulp (pcreech@redhat.com)

* Tue Jul 12 2016 Patrick Creech <pcreech@redhat.com> 0.0.30-1
- Disabling TRACE on CDS servers (pcreech@redhat.com)

* Thu Jul 07 2016 Patrick Creech <pcreech@redhat.com> 0.0.29-1
- Updating puppet-rhua to turn off track/trace (pcreech@redhat.com)

* Tue May 17 2016 Patrick Creech <pcreech@redhat.com> 0.0.28-1
- Pinning more module versions (pcreech@redhat.com)

* Fri May 13 2016 Patrick Creech <pcreech@redhat.com> 0.0.27-1
- Pinning puppetlabs stdlib (pcreech@redhat.com)

* Fri May 13 2016 Patrick Creech <pcreech@redhat.com> 0.0.26-1
- Rebuilding installer with pinned versions (pcreech@redhat.com)
- Pinning module versions (pcreech@redhat.com)

* Thu May 12 2016 Patrick Creech <pcreech@redhat.com> 0.0.25-1
- Upstream updates for RHUA (pcreech@redhat.com)

* Wed Oct 07 2015 Chris Duryee <cduryee@redhat.com> 0.0.24-1
- upstream updates for RHUA (cduryee@redhat.com)

* Wed Oct 07 2015 Chris Duryee <cduryee@redhat.com> 0.0.23-1
- more RHUA updates (cduryee@redhat.com)

* Wed Oct 07 2015 Chris Duryee <cduryee@redhat.com> 0.0.22-1
- upstream RHUA module changes (cduryee@redhat.com)

* Tue Oct 06 2015 Chris Duryee <cduryee@redhat.com> 0.0.21-1
- updates for RHUA module (cduryee@redhat.com)

* Tue Sep 15 2015 Chris Duryee <cduryee@redhat.com> 0.0.20-1
- update to puppet stdlib (cduryee@redhat.com)
- Added the user management screen back to rhui-manager (jeremy@jcline.org)
- Added validation hooks for proxy and FS server settings. (jeremy@jcline.org)

* Tue Sep 08 2015 Chris Duryee <cduryee@redhat.com> 0.0.19-1
- additional update to RHUA puppet module (cduryee@redhat.com)

* Tue Sep 08 2015 Chris Duryee <cduryee@redhat.com> 0.0.18-1
- puppet updates to support password on installer (cduryee@redhat.com)
- The default pulp password is now generated or set at install-time.
  (jeremy@jcline.org)

* Thu Sep 03 2015 Chris Duryee <cduryee@redhat.com> 0.0.17-1
- rhua puppet updates (cduryee@redhat.com)

* Wed Sep 02 2015 Chris Duryee <cduryee@redhat.com> 0.0.16-1
- proxy erb file fixups (cduryee@redhat.com)

* Wed Sep 02 2015 Chris Duryee <cduryee@redhat.com> 0.0.15-1
- puppet changes for cert regen and proxy fixes (cduryee@redhat.com)

* Tue Sep 01 2015 Chris Duryee <cduryee@redhat.com> 0.0.14-1
- puppet-rhua updates from upstream (cduryee@redhat.com)
- rhui-installer no longer offers the certs module. (jeremy@jcline.org)
- Update rhui-installer with a collection of hooks. (jeremy@jcline.org)

* Fri Aug 28 2015 Chris Duryee <cduryee@redhat.com> 0.0.13-1
- puppet update for rhua proxy fix (cduryee@redhat.com)
- update to add haproxy dependency (cduryee@redhat.com)

* Thu Aug 27 2015 Chris Duryee <cduryee@redhat.com> 0.0.12-1
- updates for rhua and cds puppet modules (cduryee@redhat.com)

* Wed Aug 19 2015 Chris Duryee <cduryee@redhat.com> 0.0.11-1
- updates to fix bugs in cds and rhua setup (cduryee@redhat.com)

* Wed Aug 19 2015 Chris Duryee <cduryee@redhat.com> 0.0.10-1
- puppet updates for rhua/cds from upstream for NFS config (cduryee@redhat.com)

* Mon Aug 17 2015 Chris Duryee <cduryee@redhat.com> 0.0.9-1
- upstream puppet updates (cduryee@redhat.com)

* Wed Aug 12 2015 Chris Duryee <cduryee@redhat.com> 0.0.8-1
- upstream puppet updates (cduryee@redhat.com)

* Fri Aug 07 2015 Chris Duryee <cduryee@redhat.com> 0.0.7-1
- update puppet modules from upstream (cduryee@redhat.com)

* Thu Aug 06 2015 Chris Duryee <cduryee@redhat.com> 0.0.6-1
- updates from upstream puppet modules (cduryee@redhat.com)

* Tue Aug 04 2015 Chris Duryee <cduryee@redhat.com> 0.0.5-1
- upstream puppet updates (cduryee@redhat.com)
- Removed the last vestiges of the identity certificate (jeremy@jcline.org)

* Tue Jul 28 2015 Chris Duryee <cduryee@redhat.com> 0.0.4-1
- updates from upstream puppet modules (cduryee@redhat.com)

* Tue Jul 28 2015 Chris Duryee <cduryee@redhat.com> 0.0.3-1
- new package built with tito (old one had wrong name)

* Tue Jul 28 2015 Chris Duryee <cduryee@redhat.com> 0.0.2-1
- new package built with tito


